me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons

## Class Part

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

Direct Known Subclasses:
  Colorable, Seat

    public class Part
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Part()`
`Part(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Location` `applyExtraOffset(org.bukkit.Location loc)`
`void` `despawnStand()`
`org.bukkit.entity.ArmorStand` `getHolder()` The holder of the part
`java.lang.Boolean` `getIsCustomPlaced()` Is this part an addon of the vehicle (Not a base part)
`SpawnedVehicle` `getOwningVehicle()` The vehicle this seat belongs to
`java.lang.String` `getUID()` The UID of the part
`java.lang.Double` `getXOffset()` The X offset of the part
`java.lang.Double` `getYOffset()` The X offset of the part
`java.lang.Double` `getZOffset()` The X offset of the part
`void` `setHolder(org.bukkit.entity.ArmorStand holder)` The holder of the part
`void` `setIsCustomPlaced(java.lang.Boolean isCustomPlaced)` Is this part an addon of the vehicle (Not a base part)
`void` `setOwningVehicle(SpawnedVehicle owningVehicle)` The vehicle this seat belongs to
`void` `setUID(java.lang.String UID)` The UID of the part
`void` `setXOffset(java.lang.Double xOffset)` The X offset of the part
`void` `setYOffset(java.lang.Double yOffset)` The X offset of the part
`void` `setZOffset(java.lang.Double zOffset)` The X offset of the part
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Part

    public Part(java.lang.Double xOffset,
                java.lang.Double yOffset,
                java.lang.Double zOffset)

#### Part

    public Part()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

#### despawnStand

    public void despawnStand()

#### applyExtraOffset

    public org.bukkit.Location applyExtraOffset(org.bukkit.Location loc)

#### setHolder

    public void setHolder(org.bukkit.entity.ArmorStand holder)

The holder of the part

#### setOwningVehicle

    public void setOwningVehicle(SpawnedVehicle owningVehicle)

The vehicle this seat belongs to

#### setXOffset

    public void setXOffset(java.lang.Double xOffset)

The X offset of the part

#### setYOffset

    public void setYOffset(java.lang.Double yOffset)

The X offset of the part

#### setUID

    public void setUID(java.lang.String UID)

The UID of the part

#### setZOffset

    public void setZOffset(java.lang.Double zOffset)

The X offset of the part

#### setIsCustomPlaced

    public void setIsCustomPlaced(java.lang.Boolean isCustomPlaced)

Is this part an addon of the vehicle (Not a base part)

#### getHolder

    public org.bukkit.entity.ArmorStand getHolder()

The holder of the part

#### getOwningVehicle

    public SpawnedVehicle getOwningVehicle()

The vehicle this seat belongs to

#### getXOffset

    public java.lang.Double getXOffset()

The X offset of the part

#### getYOffset

    public java.lang.Double getYOffset()

The X offset of the part

#### getUID

    public java.lang.String getUID()

The UID of the part

#### getZOffset

    public java.lang.Double getZOffset()

The X offset of the part

#### getIsCustomPlaced

    public java.lang.Boolean getIsCustomPlaced()

Is this part an addon of the vehicle (Not a base part)